class CreateTokens < ActiveRecord::Migration[6.1]
  def change
    create_table :tokens do |t|
      t.string :canister_id
      t.integer :standard
      t.string :symbol
      t.string :name
      t.bigint :total_supply
      t.integer :decimals
      t.bigint :transfer_fee

      t.timestamps
    end
    add_index :tokens, :canister_id, unique: true
  end
end
